nerr_register(3)

NAME
nerr_register

SYNOPSIS
#include <util/neo_err.h> NEOERR *nerr_register (NERR_TYPE *err, const char *name);

ARGUMENTS
err - pointer to a NERR_TYPE
name - pretty name for the error type

DESCRIPTION
register an error type. This will assign a numeric value to the type, and keep track of the "pretty name" for it.

SEE ALSO
nerr_error_traceback(3), nerr_pass(3), nerr_error_string(3), defined(3), nerr_pass_ctx(3), nerr_passf(3), nerr_init(3), nerr_match(3), nerr_log_error(3), nerr_ignore(3), nerr_register(3), nerr_handle